html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    height: 100vw;
    margin: 0;
    overflow: hidden;
}

body {
    display: flex;
    flex-direction: row;
    height: 100%;
    width:100%;
}

h1:focus {
    outline: none;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,...) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Cargando");
    }

.loading-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 1000;
}


.header-wrapper {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 20px;
    padding: 10px;
}

    .header-wrapper h3 {
        margin: 0 20px 0 0;
    }

.spacer {
    flex-grow: 1;
}

.rz-fileupload-buttonbar {
    padding:0 !important;
}

.rz-fileupload-choose:not(.rz-state-disabled) {
    background-color: #3f80ea !important;
    width: 54px !important;
    height: 40px !important;
    align-content: center;
    text-align: center;
    font-size:2rem !important;
}

.file-upload-wrapper {
    margin-bottom: 20px;
}

.user-textarea {
    margin-top: 3px;
    width: 100%;
    height: 50px;
    border: 2px solid #2b2929;
    border-radius: 8px;
    background-color: #f9f9f9;
    color: #333;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    flex-grow: 0.05;
    resize: none;
    overflow: auto
}
.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}
.inputfile-1 + label {
    color: #fff;
    background-color: #c39f77;
}

    .inputfile-1:focus + label,
    .inputfile-1.has-focus + label,
    .inputfile-1 + label:hover {
        background-color: #9f8465;
    }

.content-wrapper {
    display: flex;
    flex-grow: 1;
    height: calc(100vh - 170px);
    margin-top: 16px;
    padding-bottom: 50px;
    box-sizing: border-box;
}

.text-area-container {
    flex: 1;
    gap: 8px;
    margin-right: 20px;
    display: flex;
    flex-direction: column;
    background-color: transparent;
    padding: 0px 0px 0px 0px;
}

.divider {
    width: 2px;
    background-color: #ccc;
    margin: 0 20px;
}

.pdf-viewer-container {
    flex: 1;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.custom-textarea {
    border: 2px solid #2b2929;
    border-radius: 8px;
    padding: 0px;
    font-size: 15px;
    background-color: #f9f9f9;
    color: #333;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    resize: none;
    flex-grow: 1;
    overflow: auto;
    height: 80%;
}

    .custom-textarea:focus {
        border-color: #0056b3;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        outline: none;
    }

.pdf-viewer {
    flex-grow: 1;
    width: 100%;
    height: 100%;
    border: none;
}
